---
Name: image-builder-pre-builder-flexiflow
Description: Utilizes flexiflow to expand the image-builder content dynamically.
Documentation: |
  This stage utilizes the Flexiflow content pack to allow image builds that
  can dynamically inject new tasks to customize the OS/image before cleanup.

  To utilize this, please review the Flexiflow content for more complete details.
  Basic usage:

    * set the Param `image-builder/pre-builder-flexiflow` as an Array of tasks to inject in place of this stage

  Example:

    ```yaml
    image-builder/pre-builder-flexiflow:
      - repository-add
      - install-my-packages
      - repository-remove
    ```

  In our theoretical example above, we have 3 tasks.  The first should add a new
  repository to the installed system (for example EPEL).  The second would install
  some packages that are contained in the example repository.  The third then
  removes the example repository from the sysmem - so the final installed system
  is in a clean state without those repos.

Meta:
  color: purple
  icon: pin
  title: Digital Rebar Image Builder
  origin: rackn/image-builder
Params:
  flexiflow/list-parameter: image-builder/pre-builder-flexiflow
Templates: []
Tasks:
  - flexiflow-start
  - flexiflow-stop
